apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: mal-app
spec:
  type: kv-v2
  mount: secret
  path: mal
  destination:
    name: mal
    create: true
  refreshAfter: 1h
